Subject: Re: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Andrea Corallo <[email-masked]>
Date: Sat, 13 Mar 2021 20:03:20 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Pip Cet <[email-masked]>
>> Date: Sat, 13 Mar 2021 11:24:28 +0000
>> Cc: Andrea Corallo <[email-masked]>, [email-masked]
>> 
>> On Sat, Mar 13, 2021 at 11:10 AM Eli Zaretskii <[email-masked]> wrote:
>> > > From: Pip Cet <[email-masked]>
>> > > Date: Sat, 13 Mar 2021 08:53:04 +0000
>> > > Cc: Andrea Corallo <[email-masked]>, [email-masked]
>> > >
>> > > It's c-beginning-of-statement-1 that I think is the immediate caller.
>> >
>> > It's nowhere in the C backtrace, only its caller
>> 
>> But it was in one of the previous backtraces?
>
> Too many moons ago.  The ABI was bumped since then, and so did the
> *.eln files.
>
>> > > Can you disassemble the function around 0x09c32285 (or, in another
>> > > dump, whatever calls Flss), particularly the 256 bytes or so before
>> > > that EIP?
>> >
>> > Below.  The updated address for the caller of Flss is 0x09d82285,
>> > which is not in any function whose name is known to GDB.
>> 
>> That's normal, assuming you didn't compile with comp-debug > 0.
>
> If that's normal, why did Andrea say that he didn't see such "??" in
> his backtraces?  And if that's because Andrea builds with comp-debug
> above the default zero, then I think either the doc string or the set
> of values (or both) need to be updated:

On my x86_64-pc-linux-gnu system I've always seen the all the function
names (no ??)  even with no debug symbols, see my other backtrace
(compiled with the default comp-debug 0).

Thanks

  Andrea